Inhoud
Index 🔎︎

# GoTo-instructie

Zet de programma-uitvoering voort binnen een 'Sub' of 'Function' bij de procedureregel die door een label aangegeven wordt.

## Syntaxis:

zie 'Parameters'

## Parameters:

        Sub/Function
        instructieblok
         Label1
        Label2:
        instructieblok
        Exit Sub
        Label1:
        instructieblok
        GoTo Label2
        End Sub/Function

Via de GoTo-instructie kunt u LibreOffice Basic opdragen de programma-uitvoering ergens anders binnen de procedure voort te zetten. Deze plaats moet aangeduid worden met een label. Wijs een naam toe en sluit deze af met een dubbele punt (:) om een label in te stellen.

U kunt de GoTo-instructie niet gebruiken om uit een 'Sub' of 'Function' te springen.

## Voorbeeld:

zie 'Parameters'